Audio 8 DJ

Options
Shi
Shi Member Posts: 5 Newcomer

I Have owned Traktor Scratch Pro since 2009 with the Audio 8 DJ interface but haven't used it for quite a few years now.

I have dug it back out but cannot seem to get Traktor to work, Native Access doesn't show any of my previous purchased or downloads of Traktor even though online I have a few licenses on my account up to Traktor 3 LE from what I can see.

Any idea which version of Traktor I need to download and from where?

Answers

  • Uwe303
    Uwe303 Moderator Posts: 3,296 mod
    edited September 2023
    Options

    Hello,

    be sure you use the same login data in native access as you use online. Best is to see first what's the highest full version of traktor you own, them we can go on. Cause traktor 2 full can be better for you than 3 LE. But I would have to look it up to be sure, I personally have only the full versions. What system do you use maybe you don't see it cause you are on mac, then you would have to buy 3 pro maybe and use 3 LE meanwhile.

    P S. https://www.native-instruments.com/en/products/traktor/dj-software/traktor-le-3/comparison-chart/

  • Shi
    Shi Member Posts: 5 Newcomer
    Options

    This is what I have on my account online logged in, when I click any of the links at the end for download it just takes me to a native access download and none of the products show in there.


  • PK The DJ
    PK The DJ Member Posts: 1,300 Expert
    Options

    My guess is you're not seeing them because you don't have "show discontinued products" selected. You need to enable that via the settings in Native Access.

    I would suggest just downloading the latest version of Traktor anyway. Scratch was integrated into it several years ago.

  • Uwe303
    Uwe303 Moderator Posts: 3,296 mod
    Options
  • Shi
    Shi Member Posts: 5 Newcomer
    Options

    I have changed it to show discontinued in settings but nothing has changed, when I open any version of Traktor I download it just asks me to activate via native access but nothing happens when I register the serial numbers other than confirming they are registered. Traktor still doesn't open


  • Uwe303
    Uwe303 Moderator Posts: 3,296 mod
    edited September 2023
    Options

    Compatibility of Native Instruments Products on macOS – Native Instruments (native-instruments.com)

    scratch 2 is lastly mentioned under osx 10.9 maverics - i guess your os is to new like i already feared

    sorry high sierra 10.13 but anyway....

  • Shi
    Shi Member Posts: 5 Newcomer
    Options

    Ok thank you, so getting traktor pro 3 should solve all my problems hopefully? 😂. I’m guessing audio 8 is still supported in traktor pro 3?

  • Uwe303
    Uwe303 Moderator Posts: 3,296 mod
    edited September 2023
    Options

    yes traktor 3 will work, but check the audio 8 first maybe with some other software, then it should work too with traktor, latest driver is for osx 10.11

  • Uwe303
    Uwe303 Moderator Posts: 3,296 mod
    edited September 2023
    Options
    • macOS 10.15 terminated the operability of some NI legacy hardware. The same applies to macOS 11 (Big Sur). This includes MASCHINE MK1, MASCHINE MIKRO MK1, TRAKTOR AUDIO 2 / 4 / 8 DJ, TRAKTOR AUDIO 2 MK1 and TRAKTOR S2 / S4 / X1 MK1

    some ppl have make it working afair but i will have to search it, but officially it´s not supported anymore on your system

  • c0nsul
    c0nsul Member Posts: 302 Pro
    Options

    Like Uwe wrote: Since macOS 10.15 Catalina Traktor Pro 2 and Audio8 is NOT supported anymore.

    Maybe you can update to TP3 for update price. But then you will need a new sound interface, too.

    OR, you could downgrade your OS to 10.13 HighSierra to install Traktor Scratch Pro 2. And there is a workaround to use Audio8 with HighSierra:

    https://support.native-instruments.com/hc/en-us/articles/360000334278-Operation-of-NI-Legacy-Hardware-Devices-on-macOS-10-12-10-14

  • Shi
    Shi Member Posts: 5 Newcomer
    Options

    Thanks everyone, ill look into some of the suggestions

Back To Top